<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>InComeMessage</title>
    <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

  </head>
  <body>
    <div>

      <!-- Name Title -->

      <h1>InComeMessage</h1>

      <!-- Type and Stereotype -->

      <section style="margin-top: .5em;">
        <span class="alert alert-info">
          <span class="node-icon staruml-icon icon-UMLClass"></span>
          UMLClass
        </span>
        
      </section>

      <!-- Path -->

      <section style="margin-top: 10px">
        
        
        
          
          <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon staruml-icon icon-Project'></span>Untitled</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='43fa60133e5f90b54137a63fbe203087.html'><span class='node-icon staruml-icon icon-UMLClass'></span>InComeMessage</a></span>
        
      </section>

      <!-- Diagram -->

      

      <!-- Description -->

      
      <section>
        <h3>Description</h3>
        <div>
          
            <span class="label label-info">none</span>
          
        </div>
      </section>
      

      <!-- Specification -->

      

      <!-- Directed Relationship -->

      

      <!-- Undirected Relationship -->

      

      <!-- Classifier -->

      
        
        
<section class="element-list">
    <h3>Generalized Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='925c37e11072cb9aaf828bc02899893b.html'><span class='node-icon staruml-icon icon-UMLClass'></span>Message</a></li>
        
    </ul>
</section>



        
        


        
        
<section class="element-list">
    <h3>Interfaces</h3>
    <ul class="nav nav-list">
        
        <li><a href='6c7c32401d438e33f5283ed882eaa1bd.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>InComeMessageInterface</a></li>
        
    </ul>
</section>



        
        


        
        

      

      <!-- Interface -->

      

      <!-- Component -->

      

      <!-- Node -->

      

      <!-- Actor -->

      

      <!-- Use Case -->

      

      <!-- Template Parameters -->

      

      <!-- Literals -->

      

      <!-- Attributes -->

      
      <section>
        <h3>Attributes</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Type</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>private</td>
            <td><a href="00350f277116f120e8a036f490dde6f3.html">type</a></td>
            <td>String</td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Operations -->

      
      <section>
        <h3>Operations</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="8f0702210b0e1c3ae5e846811b846377.html">getType(): String</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="49fb1e145c7a58827509d69fae5aa6c0.html">setType(type: String)</a></td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Receptions -->

      

      <!-- Extension Points -->

      

      <!-- Parameters -->

      

      <!-- Diagrams -->

      
      

      <!-- Behavior -->

      

      <!-- Action -->

      

      <!-- Interaction -->

      

      <!-- CombinedFragment -->

      

      <!-- Activity -->

      

      <!-- State Machine -->

      

      <!-- State Machine -->

      

      <!-- State -->

      

      <!-- Vertex -->

      

      <!-- Transition -->

      

      <!-- Data Model (ERD) -->

      

      <!-- Columns (ERD) -->

      

      <!-- Related Entities (ERD) -->

      

      <!-- Data Flows (DFD) -->

      

      <!-- Flows (Flowchart) -->

      

      <!-- Properties -->

      <section>
        <h3>Properties</h3>
        
        <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>InComeMessage</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isActive</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

      </section>

      <!-- Tags -->

      

      <!-- Constraints, Dependencies, Dependants -->

      
        
        


        
        
<section class="element-list">
    <h3>Dependencies</h3>
    <ul class="nav nav-list">
        
        <li><a href='6c7c32401d438e33f5283ed882eaa1bd.html'><span class='node-icon staruml-icon icon-UMLInterface'></span>InComeMessageInterface</a></li>
        
    </ul>
</section>



        
        

      

      <!-- Relationships -->

      
      
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='30e32fa76b000134be4ba5c24df1a79b.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(InComeMessage→Message)</a></li>
        
        <li><a href='c8a0ff4b0c1af5d850d2632c04f48d76.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(InComeMessage→InComeMessageInterface)</a></li>
        
        <li><a href='2ad03108d09bf7e54f96860c9e91a79d.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(MessageProcessor—InComeMessage)</a></li>
        
        <li><a href='a4caccb4d4a337ce177f0ccc9a0fe6e1.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(InComeMessageProxy—InComeMessage)</a></li>
        
    </ul>
</section>



      <!-- Owned Elements -->

      
      
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='30e32fa76b000134be4ba5c24df1a79b.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(InComeMessage→Message)</a></li>
        
        <li><a href='c8a0ff4b0c1af5d850d2632c04f48d76.html'><span class='node-icon staruml-icon icon-UMLInterfaceRealization'></span>(InComeMessage→InComeMessageInterface)</a></li>
        
    </ul>
</section>



    </div>
  </body>
</html>
